import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { AssignmentsService } from './shared/assignments.service';
import { AuthService } from './shared/auth.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  titre = "Application de gestion d'Assignments";

  constructor(private authService:AuthService,
              private router:Router,
              private assignmentsService:AssignmentsService) {}

  login() {
    if(this.authService.loggedIn) {
      this.authService.logOut();
      this.router.navigate(["/home"]);
    } else {
      this.authService.logIn();
    }
  }

  peuplerBD() {
    this.assignmentsService.peuplerBaseAvecDonneesDeTest();
  }
}
